TopicsOperations Class

TopicsOperations operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
TopicsOperations

Constructor

TopicsOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

begin_create_or_update

Create a topic.

Asynchronously creates a new topic with the specified parameters.

begin_delete

Delete a topic.

Delete existing topic.

begin_regenerate_key

Regenerate key for a topic.

Regenerate a shared access key for a topic.

begin_update

Update a topic.

Asynchronously updates a topic with the specified parameters.

get

Get a topic.

Get properties of a topic.

list_by_resource_group

List topics under a resource group.

List all the topics under a resource group.

list_by_subscription

List topics under an Azure subscription.

List all the topics under an Azure subscription.

list_event_types

List topic event types.

List event types for a topic.

list_shared_access_keys

List keys for a topic.

List the two keys used to publish to a topic.

begin_create_or_update

Create a topic.

Asynchronously creates a new topic with the specified parameters.

begin_create_or_update(resource_group_name: str, topic_name: str, topic_info: azure.mgmt.eventgrid.models._models_py3.Topic, **kwargs: Any) -> azure.core.polling._poller.LROPoller[azure.mgmt.eventgrid.models._models_py3.Topic]

Parameters

resource_group_name
str
Required

The name of the resource group within the user's subscription.

topic_name
str
Required

Name of the topic.

topic_info
Topic
Required

Topic information.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either Topic or the result of cls(response)

Return type

Exceptions

begin_delete

Delete a topic.

Delete existing topic.

begin_delete(resource_group_name: str, topic_name: str, **kwargs: Any) -> azure.core.polling._poller.LROPoller[None]

Parameters

resource_group_name
str
Required

The name of the resource group within the user's subscription.

topic_name
str
Required

Name of the topic.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either None or the result of cls(response)

Return type

Exceptions

begin_regenerate_key

Regenerate key for a topic.

Regenerate a shared access key for a topic.

begin_regenerate_key(resource_group_name: str, topic_name: str, regenerate_key_request: azure.mgmt.eventgrid.models._models_py3.TopicRegenerateKeyRequest, **kwargs: Any) -> azure.core.polling._poller.LROPoller[azure.mgmt.eventgrid.models._models_py3.TopicSharedAccessKeys]

Parameters

resource_group_name
str
Required

The name of the resource group within the user's subscription.

topic_name
str
Required

Name of the topic.

regenerate_key_request
TopicRegenerateKeyRequest
Required

Request body to regenerate key.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either TopicSharedAccessKeys or the result of cls(response)

Return type

Exceptions

begin_update

Update a topic.

Asynchronously updates a topic with the specified parameters.

begin_update(resource_group_name: str, topic_name: str, topic_update_parameters: azure.mgmt.eventgrid.models._models_py3.TopicUpdateParameters, **kwargs: Any) -> azure.core.polling._poller.LROPoller[azure.mgmt.eventgrid.models._models_py3.Topic]

Parameters

resource_group_name
str
Required

The name of the resource group within the user's subscription.

topic_name
str
Required

Name of the topic.

topic_update_parameters
TopicUpdateParameters
Required

Topic update information.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either Topic or the result of cls(response)

Return type

Exceptions

get

Get a topic.

Get properties of a topic.

get(resource_group_name: str, topic_name: str, **kwargs: Any) -> azure.mgmt.eventgrid.models._models_py3.Topic

Parameters

resource_group_name
str
Required

The name of the resource group within the user's subscription.

topic_name
str
Required

Name of the topic.

cls
callable

A custom type or function that will be passed the direct response

Returns

Topic, or the result of cls(response)

Return type

Exceptions

list_by_resource_group

List topics under a resource group.

List all the topics under a resource group.

list_by_resource_group(resource_group_name: str, filter: Optional[str] = None, top: Optional[int] = None, **kwargs: Any) -> Iterable[azure.mgmt.eventgrid.models._models_py3.TopicsListResult]

Parameters

resource_group_name
str
Required

The name of the resource group within the user's subscription.

filter
str
Required

The query used to filter the search results using OData syntax. Filtering is permitted on the 'name' property only and with limited number of OData operations. These operations are: the 'contains' function as well as the following logical operations: not, and, or, eq (for equal), and ne (for not equal). No arithmetic operations are supported. The following is a valid filter example: $filter=contains(namE, 'PATTERN') and name ne 'PATTERN-1'. The following is not a valid filter example: $filter=location eq 'westus'. Default value is None.

top
int
Required

The number of results to return per page for the list operation. Valid range for top parameter is 1 to 100. If not specified, the default number of results to be returned is 20 items per page. Default value is None.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either TopicsListResult or the result of cls(response)

Return type

Exceptions

list_by_subscription

List topics under an Azure subscription.

List all the topics under an Azure subscription.

list_by_subscription(filter: Optional[str] = None, top: Optional[int] = None, **kwargs: Any) -> Iterable[azure.mgmt.eventgrid.models._models_py3.TopicsListResult]

Parameters

filter
str
Required

The query used to filter the search results using OData syntax. Filtering is permitted on the 'name' property only and with limited number of OData operations. These operations are: the 'contains' function as well as the following logical operations: not, and, or, eq (for equal), and ne (for not equal). No arithmetic operations are supported. The following is a valid filter example: $filter=contains(namE, 'PATTERN') and name ne 'PATTERN-1'. The following is not a valid filter example: $filter=location eq 'westus'. Default value is None.

top
int
Required

The number of results to return per page for the list operation. Valid range for top parameter is 1 to 100. If not specified, the default number of results to be returned is 20 items per page. Default value is None.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either TopicsListResult or the result of cls(response)

Return type

Exceptions

list_event_types

List topic event types.

List event types for a topic.

list_event_types(resource_group_name: str, provider_namespace: str, resource_type_name: str, resource_name: str, **kwargs: Any) -> Iterable[azure.mgmt.eventgrid.models._models_py3.EventTypesListResult]

Parameters

resource_group_name
str
Required

The name of the resource group within the user's subscription.

provider_namespace
str
Required

Namespace of the provider of the topic.

resource_type_name
str
Required

Name of the topic type.

resource_name
str
Required

Name of the topic.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either EventTypesListResult or the result of cls(response)

Return type

Exceptions

list_shared_access_keys

List keys for a topic.

List the two keys used to publish to a topic.

list_shared_access_keys(resource_group_name: str, topic_name: str, **kwargs: Any) -> azure.mgmt.eventgrid.models._models_py3.TopicSharedAccessKeys

Parameters

resource_group_name
str
Required

The name of the resource group within the user's subscription.

topic_name
str
Required

Name of the topic.

cls
callable

A custom type or function that will be passed the direct response

Returns

TopicSharedAccessKeys, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.eventgrid.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\eventgrid\\models\\__init__.py'>